Package com.io7m.jtensors.core.unparameterized.vectors

# Interface VectorReadable2DType

All Known Subinterfaces:
  `PVector2DType<T>`, `PVector3DType<T>`, `PVector4DType<T>`, `PVectorByteBufferedFloating2Type<T>`, `PVectorByteBufferedFloating3Type<T>`, `PVectorByteBufferedFloating4Type<T>`, `PVectorReadable2DType<T>`, `PVectorReadable3DType<T>`, `PVectorReadable4DType<T>`, `PVectorStorageFloating2Type<T>`, `PVectorStorageFloating3Type<T>`, `PVectorStorageFloating4Type<T>`, `Vector2DType`, `Vector3DType`, `Vector4DType`, `VectorByteBufferedFloating2Type`, `VectorByteBufferedFloating3Type`, `VectorByteBufferedFloating4Type`, `VectorReadable3DType`, `VectorReadable4DType`, `VectorStorageFloating2Type`, `VectorStorageFloating3Type`, `VectorStorageFloating4Type`

All Known Implementing Classes:
  `PVector2D`, `PVector3D`, `PVector4D`, `PVectorByteBufferedFloating2s16`, `PVectorByteBufferedFloating2s32`, `PVectorByteBufferedFloating2s64`, `PVectorByteBufferedFloating3s16`, `PVectorByteBufferedFloating3s32`, `PVectorByteBufferedFloating3s64`, `PVectorByteBufferedFloating4s16`, `PVectorByteBufferedFloating4s32`, `PVectorByteBufferedFloating4s64`, `PVectorMutable2D`, `PVectorMutable3D`, `PVectorMutable4D`, `Vector2D`, `Vector3D`, `Vector4D`, `VectorByteBufferedFloating2s16`, `VectorByteBufferedFloating2s32`, `VectorByteBufferedFloating2s64`, `VectorByteBufferedFloating3s16`, `VectorByteBufferedFloating3s32`, `VectorByteBufferedFloating3s64`, `VectorByteBufferedFloating4s16`, `VectorByteBufferedFloating4s32`, `VectorByteBufferedFloating4s64`, `VectorMutable2D`, `VectorMutable3D`, `VectorMutable4D`

    public interface VectorReadable2DType

The type of 2D `double`-typed vectors.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `double` | `x()` |
  `double` | `y()` |

- ## Method Details

  - ### x

    @Parameter(order=0) double x()
    Returns:
      The `x` component

  - ### y

    @Parameter(order=1) double y()
    Returns:
      The `y` component